io.vertx.reactivex.servicediscovery.types

## Class MongoDataSource

- java.lang.Object
- - io.vertx.reactivex.servicediscovery.types.MongoDataSource

-     public class MongoDataSource
      extends Object

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MongoDataSource>` | `__TYPE_ARG`
    `static String` | `TYPE`
    `static String` | `UNKNOWN` Unknown type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoDataSource(MongoDataSource delegate)`
    `MongoDataSource(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, JsonObject location, JsonObject metadata)` Convenient method to create a record for a Mongo data source.
    `boolean` | `equals(Object o)`
    `MongoDataSource` | `getDelegate()`
    `static void` | `getMongoClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static void` | `getMongoClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, Handler<AsyncResult<MongoClient>> resultHandler)` Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static void` | `getMongoClient(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static void` | `getMongoClient(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<MongoClient>> resultHandler)` Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static void` | `getMongoClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static void` | `getMongoClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration, Handler<AsyncResult<MongoClient>> resultHandler)` Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `int` | `hashCode()`
    `static MongoDataSource` | `newInstance(MongoDataSource arg)`
    `static Single<MongoClient>` | `rxGetMongoClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static Single<MongoClient>` | `rxGetMongoClient(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `static Single<MongoClient>` | `rxGetMongoClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MongoDataSource> __TYPE_ARG

    - #### UNKNOWN

          public static final String UNKNOWN

      Unknown type.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoDataSource

          public MongoDataSource(MongoDataSource delegate)

    - #### MongoDataSource

          public MongoDataSource(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MongoDataSource getDelegate()

    - #### createRecord

          public static Record createRecord(String name,
                                            JsonObject location,
                                            JsonObject metadata)

      Convenient method to create a record for a Mongo data source.
      Parameters:
        `name` - the service name
        `location` - the location of the service (e.g. url, port...)
        `metadata` - additional metadata
      Returns:
        the created record

    - #### getMongoClient

          public static void getMongoClient(ServiceDiscovery discovery,
                                            JsonObject filter,
                                            Handler<AsyncResult<MongoClient>> resultHandler)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### getMongoClient

          public static void getMongoClient(ServiceDiscovery discovery,
                                            JsonObject filter)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional

    - #### rxGetMongoClient

          public static Single<MongoClient> rxGetMongoClient(ServiceDiscovery discovery,
                                                             JsonObject filter)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:

    - #### getMongoClient

          public static void getMongoClient(ServiceDiscovery discovery,
                                            java.util.function.Function<Record,Boolean> filter,
                                            Handler<AsyncResult<MongoClient>> resultHandler)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
        `resultHandler` - The result handler

    - #### getMongoClient

          public static void getMongoClient(ServiceDiscovery discovery,
                                            java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter

    - #### rxGetMongoClient

          public static Single<MongoClient> rxGetMongoClient(ServiceDiscovery discovery,
                                                             java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
      Returns:

    - #### getMongoClient

          public static void getMongoClient(ServiceDiscovery discovery,
                                            JsonObject filter,
                                            JsonObject consumerConfiguration,
                                            Handler<AsyncResult<MongoClient>> resultHandler)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
        `resultHandler` - the result handler

    - #### getMongoClient

          public static void getMongoClient(ServiceDiscovery discovery,
                                            JsonObject filter,
                                            JsonObject consumerConfiguration)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration

    - #### rxGetMongoClient

          public static Single<MongoClient> rxGetMongoClient(ServiceDiscovery discovery,
                                                             JsonObject filter,
                                                             JsonObject consumerConfiguration)

      Convenient method that looks for a Mongo datasource source and provides the configured `MongoClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
      Returns:

    - #### newInstance

          public static MongoDataSource newInstance(MongoDataSource arg)

Copyright © 2024 Eclipse. All rights reserved.